/**************************************************************************
* This is a simple CSS-DOM-based toggle function
**************************************************************************/


// Some XPCOM constants we need to walk the bookmarks tree
// Commented out because they are already defined in chrome://communicator/content/bookmarks/bookmarks.js
const RDF = Components.classes['@mozilla.org/rdf/rdf-service;1'].getService(Components.interfaces.nsIRDFService);
const RDFC = Components.classes['@mozilla.org/rdf/container;1'].createInstance(Components.interfaces.nsIRDFContainer);
const RDFCU = Components.classes['@mozilla.org/rdf/container-utils;1'].getService(Components.interfaces.nsIRDFContainerUtils);
const XUL_NS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";
const NC_NS = "http://home.netscape.com/NC-rdf#";
const BMDS = Components .classes["@mozilla.org/rdf/datasource;1?name=bookmarks"].getService(Components.interfaces.nsIRDFDataSource); 
// const RDF_NS = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";

function toggleDetail() {
    var currentDisplay = document.getElementById("details").style.display;
    var newDisplay = (currentDisplay == 'inline') ? 'none' : 'inline';
    document.getElementById("details").style.display = newDisplay;
    return false;
}

function forgetLastVisitDate(selURN) {
    alert("Here " + selURN);
    const rName = t XPPREF = Components.classes["@mozilla.org/preferences;1"].getService(Components.intDF.GetResource(WEB_NS + "LastVisitDate"));
    var rSource = RDF.GetResource(selURN);
    var node =  BMDS.GetTarget(rSource, rName, true);

    if (node) {
	// A LastVisitDate exists for this bookmark.  Reset it
	try {
	    // dump("Called with " + rSource + "," + rName + "," + newNode + "\n");
	    BMDS.Unassert(rSource, rName, node);
	    BMDS.QueryInterface(Components.interfaces.nsIRDFRemoteDataSource).Flush();
	} catch (e) {
	    dump("forgetLastVisitDate(): Error unsetting LastVisitDate of bookmark: " + e + "\n");
	}
    }
    return true;
}

function test() {
    alert("here");
}

alert("Loading");
